%define _requires_exceptions pkgconfig\(.*\)

%define name deskbar-applet
%define version 2.32.0
%define release %mkrel 1


Summary: All-in-one search bar for the GNOME panel
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/deskbar-applet/%{name}-%{version}.tar.xz
Patch1: deskbar-applet-2.25.3-seamonkey.patch
License: GPL
Group: Graphical desktop/GNOME
Url: http://live.gnome.org/DeskbarApplet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel
BuildRequires: pygtk2.0-devel
BuildRequires: gnome-python-devel
BuildRequires: gnome-python-extras
BuildRequires: gnome-python-applet
BuildRequires: evolution-data-server-devel
BuildRequires: libgnome-desktop-2-devel
BuildRequires: automake1.9
BuildRequires: gnome-common
BuildRequires: intltool
BuildRequires: gnome-doc-utils libxslt-proc
BuildRequires: xulrunner-devel
BuildRequires: python-beagle
BuildRequires: scrollkeeper
BuildRequires: dbus-python
BuildRequires: chrpath
Requires: gnome-python-extras
Requires: gnome-python-gnomevfs
Requires: gnome-python-gconf
Requires: gnome-python-applet
Requires: python-elementtree
Requires: dbus-python
Requires: xulrunner >= 1.9.2
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1

%description
The Deskbar is an all-in-one search bar. It is a Linux/Gnome panel
applet that is similar to Google's (Windows only) Deskbar
It supports the search in Beagle, Mozilla Firefox and Epiphany.

#german
%description -l de
Die Deskbar ist ein all-in-One-Suchleiste.

#french
%description -l fr
La Deskbar est un tout-en-un barre de recherche.

#spanish
%description -l es
La barra del escritorio es un todo-en-una barra de búsqueda.

#polish
%description -l pl
Deskbar is an all-in-one search bar.

#serbian
%description -l sr
Чаробна линија се све-у-једним баром.

#dutch
%description -l nl
De Deskbar is een alles-in-een zoekbalk.



%prep
%setup -q
%patch1 -p1 -b .seamonkey

%build
%configure2_5x --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
%find_lang deskbar --with-gnome
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done
cat deskbar.lang >> %name.lang

find  %buildroot -name \*.so |xargs chrpath -d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%update_icon_cache hicolor
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_icon_cache hicolor
%clean_scrollkeeper

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS TODO ChangeLog AUTHORS
%_sysconfdir/gconf/schemas/deskbar-applet.schemas
%_libdir/bonobo/servers/*
%_libdir/%name/
%py_puresitedir/*deskbar*
%_libdir/pkgconfig/%name.pc
%_datadir/%name
%_datadir/icons/hicolor/*/apps/*
%dir %_datadir/omf/*/
%_datadir/omf/*/*-C.omf


%changelog
* Sun Oct 31 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- rebuild for new xulrunner

* Tue Sep 28 2010 siamer <siamer@Wp.pl> 2.32.0-1pclos2010
- new version

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 2.30.1-4pclos2010
- Update

* Mon Jun 28 2010 Texstar <texstar at gmail.com> 2.30.1-3pclos2010
- rebuild against updated xulrunner

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 2.30.1-2pclos2010
- rebuild against updated evolution-data-server

* Fri May 07 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Thu Apr 01 2010 Texstar <texstar at gmail.com> 2.30.0-1pclos2010
- 2.30.0

* Sat Jan 23 2010 Texstar <texstar at gmail.com> 2.28.0-4pclos2010
- rebuild against updated xulrunner

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 2.28.0-3pclos2010
- rebuild

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Wed Oct 07 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Mon Aug 03 2009 Texstar <texstar@gmail.com> 2.26.2-5pclos2009
- rebuild agaist updated xulrunner

* Mon Jul 20 2009 Texstar <texstar@gmail.com> 2.26.2-4pclos2009
- rebuild against 1.9.1.1

* Fri Jul 17 2009 Texstar <texstar@gmail.com> 2.26.2-3pclos2009
- rebuild against updated xulrunner

* Tue Jul 14 2009 Texstar <texstar@gmail.com> 2.26.2-2pclos2009
- rebuild against updated xulrunner

* Fri May 22 2009 siamer <siamer@wp.pl> 2.26.2-1pclos2009
- new version 2.26.2

* Tue May 12 2009 Texstar <texstar@gmail.com> 2.26.1-2pclos2009
- rebuild for new xulrunner 1.9.0.10

* Tue Apr 28 2009 siamer <siamer@wp.pl> 2.26.1-1pclos2009
- new version 2.26.1

* Sat Mar 14 2009 Texstar <texstar@gmail.com> 2.24.3-2pclos2007
- rebuild fix firefox dependency
- trim specfile

